HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.

Sign-In Options For Vanilla 2.1

edited August 2015 in General Banter

Most of the afternoon today, I have been trying to understand what my options are in terms of offering sign-in options. It seems Open ID sign-in won't likely work for all OpenID people. It also looks like I cannot reliably offer any Google sign-in options without subscribing to a $199/month service. It does appear, however, that I can install some applications that will allow Twitter and Facebook sign-ins. I must configure these on the Facebook and Twitter ends, and then enable them from the "Social" spot in my Vanilla dashboard.

There is a GoogleSignIn plug-in available for Vanilla 2.1. It requires an OpenID sign-on plug-in. But the best I can tell the GoogleSignIn plug-in just won't work.

I was hoping my forum's users might be able to sign-in with Google, but I can't rationalize $2,400 per year for that, right now.

Whoever may read this: Do my assessments of all these sign-in options for Vanilla 2.1 concur with your experience?

Comments

  • ShadowdareShadowdare r_j MVP
    edited August 2015

    All those sign-in plugins work for me. I haven't tested OpenID, but it can be enabled without any problem. I have tested Google, Twitter, and Facebook registrations and sign-ins, and they work without any problem. The Google sign-in is free and does not cost any money because it just uses a Google account.

    Add Pages to Vanilla with the Basic Pages app

  • Thanks! That is encouraging news. The error I get when I try to log-in using Google is "No Server Found! Enter Your OpenID URL" .

    Also, when I try to Configure the Authenticator in the Authentication area of the dashboard -- in the case of both Open ID and Google -- it just sort of loads and loads and loads, with no configuration choices being offered. I had been assuming that they were being configured, but maybe I am missing something.

    I am going to go ahead right now and delete and re-install those plus-ins. And see if that helps.

  • I have copies of these plug-ins. But for the life of me I can't seem to find either of them anymore under Show All Add-ons or Plug-ins at http://vanillaforums.org/addons :o

  • peregrineperegrine MVP
    edited August 2015

    @fredthomas said:
    I have copies of these plug-ins. But for the life of me I can't seem to find either of them anymore under Show All Add-ons or Plug-ins at http://vanillaforums.org/addons :o

    then the odds are they came with the core. did you look at the core.

    tip: check out github, and also find out version numbers that other users have had success with regarding plugins so you have a fighting chance with matched versions with both vanilla version and plugin version.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • edited August 2015

    Yes, these came in the core. I didn't consider that.

    If they came with core I wouldn't see why there would be any version matching issue to worry about. Nevertheless, that is good to consider, too. A few weeks ago, I deleted from the plugins folder some of other plug-ins that came with core. Maybe this did something? I will reinstall all of those to be sure.

    As of now, I am still getting "No Server Found! Enter Your OpenID URL" when I try to log in through Google. Thanks for your tips and pointers.

  • Re-installing the full core of 2.1.11 plug-ins makes no difference. This leaves possibility that something I later added, or changed, may be causing this Google sign-in issue. Or could it be my https?

    In any case, I realized this was not working nearly 6 hours ago & am now fully cross-eyed. Some good news is I have learned a lot.

    I am not giving up, but should turn off the Google sign-in option; and will install a fresh 2.1.11 next weekend and see if a stripped down forum will work. If so, then I'll add all my custom objects and added-plug-ins and apps one a time and see when the Google sign-in breaks.

    There's some discussions in this forum on this issue, but I think anything similar to my issue pre-dates the 2.1.11 core. Meanwhile, no one seems to be having these problems anymore. There's not much of anything in Github on this, or at least that I would know how to find.

  • edited August 2015

    I just installed a new 2.1.11 forum on my host server at SiteGround. I then enabled the Open ID followed by the Google sign-in plug-ins. And I got the same result as I was getting above. I don't think SiteGround supports this kind of thing, but I'll put a trouble ticket in and see if someone there have some insight.

  • edited August 2015

    SiteGround says this:

    "I have searched the server logs and error logs, but was not able to find any records suggesting possible issue or setting on the server that could be causing such error. I checked following thread and followed suggestion to try and disable mod_security completely, but even after doing that, the error re-occurred:

    http://vanillaforums.org/discussion/19356/split-openid-plugin-page-not-found-etc-etc

    I am afraid that I am not going to be able to assist you with the resolution of the issue, still, if you need any changes applied on our end, feel free to contact us back any time."

  • So a brand new install without any new apps or plug-ins -- and only the OpenID and then GoogleSignIn plug-ins enabled -- still produces this result. Perhaps there is something I need to do at the Google end that I just don't know about? Something relevant to this: https://developers.google.com/identity/protocols/OpenIDConnect ?

  • Are there any configuration options, or fields, that are supposed to become visible after, or while, activating these plug-ins in the Authentication part of the dashboard?

  • Where all this began many hours ago is where I keep coming back to ... in this thread ( http://vanillaforums.org/discussion/27881/google-sign-in-plugin-not-working ) there is an alleged, updated GooglePlus plug-in ( https://github.com/vanilla/addons/tree/master/plugins/GooglePlus ) . It is not there and I see no Google sign in plug-ins anywhere in Github or in the open source forum. The only one I can find is in the core I keep installing.

    I'm throwing in the towel. No Google log-ins at my site, folks.

  • Google shut down its old service lately.

    The new plugin can be found here and will ship with 2.2:
    https://github.com/vanilla/vanilla/tree/master/plugins/GooglePlus

    vrijvlinderShadowdareperegrine
  • peregrineperegrine MVP
    edited August 2015

    And Bleistivt once again proves how important it is to know the versions of plugin and vanilla version when discussing whether things work or not! :)

    my hero :)

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

    Bleistivt
  • Thank you both bleistivt and peregrine. Yesterday I looked for a version number on the plug-in in the core and was not able to find where it might be. I also don't know why I couldn't find that updated plug-in in github.

    I am running Vanilla 2.1.11 and believe I will just have to wait until I am using Vanilla 2.2 to use this updated plug-in, however.

  • edited August 2015

    @Bleistivt said:
    Google shut down its old service lately.

    The new plugin can be found here and will ship with 2.2:
    https://github.com/vanilla/vanilla/tree/master/plugins/GooglePlus

    Does it mean that the GooglePlus plug in wont work with 2.1.11 ??

  • @vanillauzer Not without some minor changes.

    These have been shared in the threads that were linked to above and here:
    http://vanillaforums.org/discussion/comment/220368/#Comment_220368

    peregrine
Sign In or Register to comment.